Package org.springframework.cglib.core

# Interface FieldTypeCustomizer

All Superinterfaces:
  `KeyFactoryCustomizer`

public interface FieldTypeCustomizer extends KeyFactoryCustomizer
Customizes key types for `KeyFactory` right in constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`customize(CodeEmitter e, int index, Type type)`
Customizes `this.FIELD_0 = ?` assignment in key constructor
`Type`
`getOutType(int index, Type type)`
Computes type of field for storing given parameter

## Method Details

### customize

void customize(CodeEmitter e, int index, Type type)
Customizes `this.FIELD_0 = ?` assignment in key constructor

Parameters:
  `e` - code emitter
  `index` - parameter index
  `type` - parameter type

### getOutType

Type getOutType(int index, Type type)
Computes type of field for storing given parameter

Parameters:
  `index` - parameter index
  `type` - parameter type